UbixOS V2 2.0

Public Member Functions
na_header Struct Reference

`#include <nd6.h>`

Collaboration diagram for na_header:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t chksum)
| PACK_STRUCT_FLD_8 (u8_t code)
| PACK_STRUCT_FLD_8 (u8_t flags)
| PACK_STRUCT_FLD_8 (u8_t reserved[3])
| PACK_STRUCT_FLD_8 (u8_t type)
| PACK_STRUCT_FLD_S (ip6_addr_p_t target_address)

## Detailed Description

Neighbor advertisement message header.

Definition at line 71 of file nd6.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD()

na_header::PACK_STRUCT_FIELD | ( | u16_t | chksum | ) |

## ◆ PACK_STRUCT_FLD_8() [1/4]

na_header::PACK_STRUCT_FLD_8 | ( | u8_t | code | ) |

## ◆ PACK_STRUCT_FLD_8() [2/4]

na_header::PACK_STRUCT_FLD_8 | ( | u8_t | flags | ) |

## ◆ PACK_STRUCT_FLD_8() [3/4]

na_header::PACK_STRUCT_FLD_8 | ( | u8_t | reserved[3] | ) |

## ◆ PACK_STRUCT_FLD_8() [4/4]

na_header::PACK_STRUCT_FLD_8 | ( | u8_t | type | ) |

## ◆ PACK_STRUCT_FLD_S()

na_header::PACK_STRUCT_FLD_S | ( | ip6_addr_p_t | target_address | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/nd6.h